$(document).ready(function(){
    $('#btnExchange').click(function(){
        if(isLogin=='False'){
            alert('请先登录');
            window.location.href=shopFolder+ "Login.aspx?ReturnUrl=" + "/"+shopFolder+"GiftDetails-"+giftID+"."+extend
            return false;
        }
        else{
            if(memberScore<score-0){
                alert('您的积分不够');
                return false;
            }        
        }    
        var isChooseAllSpecs = true;//是否选择了所有规格
        var notChoiceSpec = '';//记录未选择的规格名称
        var choiceSpec = ''//记录已选择的规格名称,购买的时候要记录到数据库的
        $('.spec-content').each(function(i,n){//遍历所有规格名称,如果下面没有选择值，则把该规格名压入未选择规格列
            var property=$(this).attr("data-property");
            if($(this).children('.spec-selected').length==0){
                isChooseAllSpecs = false;
                notChoiceSpec += property+","
            }
            else{
                choiceSpec += property+"："+$(this).children('.spec-selected').attr("title")+"<br/>"
            }
        });

        if(!isChooseAllSpecs){
            if(notChoiceSpec != ''){
                notChoiceSpec = notChoiceSpec.substring(0,notChoiceSpec.length-1);
            }
            alert("请选择："+notChoiceSpec);
            return false;
        }
        var qty=$('#qty').val();
        if(isNaN(qty) || qty<=0){
            alert("请输入正确的兑换数量！");
            return false;
        }
        if(qty>(limitedNumber==0?99999999:Number(limitedNumber))||qty>Number(storage)){
            alert('超过了每个人的最大可兑换数量');
            return false;
        }
        if(qty>Number(remainder)){
            alert('兑换数量大于礼品的剩余量');
            return false;
        }
        //检查会员是否可以兑换礼品
        return CheckGiftStatus(gid,qty);
    }) 

    $(".related_img").bind("click",function(){
        $('#thumbnail_img').attr({
            "src":$(this).attr("img2"),
            "jqimg":$(this).attr("img1")
        });
    });	        
    // 去除多规格超链接点击时的虚线
    $('.spec-item>a').focus(function(){
        $(this).blur();
    });
    $(".thumbnail_li").hover(function(){
        $(this).addClass("focus");
    },function(){
        $(this).removeClass("focus");
    });
    $(".thumbnail_li").bind("click",function(){
//        $(".thumbnail_li").removeClass("active");
        $(this).addClass("active");
    });

	$("#viewbig").click(function(){
        var imgs = '';
        $('img.related_img').each(function(){
                imgs += $(this).attr('img1') + '|';
        });
        if(imgs != ''){imgs = imgs.substring(0,imgs.length-1);};
        var form = $('#BigImgform');
        form.find('#hiddenimgs').val(imgs);
        form.submit();
	});
	$(".jqzoom").jqueryzoom({
        xzoom:350,
        yzoom:350,
        offset:10,
        position: "right",
        preload:1,
        lens:1
    });
        	    
        if(Specs != "" && SpecDesc != "")
        {
            //缓存规格选择提示信息
            if($("#ChoiceSpecTip"))$("#ChoiceSpecTip").data("content",$("#ChoiceSpecTip").html());
            $('.spec-item').bind("click",ChooseSpec);
            //如果某个规格只有一个值则自动设为已选择。
            InitSelectSpec();
       }
});



//当进入页面时，如果某个规格只有一个值的话要设为已选择。
function InitSelectSpec(){
    $('.spec-content').each(function(){
        if($(this).children().length==1){
            $(this).children().eq(0).click();
        };
    });
};

function ChooseSpec(){
    var currSpec = $(this);
    var currSpecName = $(this).parent().attr("data-property");//当前规格名
    var currSpecValue = $(this).attr("data-value");//当前规格值
    var nextSpec = $('.spec-content[data-property!='+currSpecName+']');
    if($(this).hasClass('spec-selected')){
        //只要有一个规则没有选择就要重置商品属性值。
        $('#gid').val(0);
        $(this).removeClass('spec-selected');
        nextSpec.children('.disable').removeClass("disable").addClass("hand").bind("click",ChooseSpec);
        $('em[title='+currSpecName+']').remove();
        if($('.spec-selected').length == 0){
            $("#ChoiceSpecTip").html($("#ChoiceSpecTip").data("content"));    
        }       
        return false;
    }else{
        $(this).addClass('spec-selected');
        $(this).siblings(".spec-selected").removeClass('spec-selected');
        //当选择一个规格时，如果其它的规格只有一个值的话也要设为已选定。
        nextSpec.each(function(){
            if($(this).children().length==1){
                $(this).children().eq(0).addClass("spec-selected").bind("click",ChooseSpec);
            }
        });
    }
	var selected_value='';
	$('#ChoiceSpecTip').children('dt').text('已选择：');
    $('#ChoiceSpecTip').children('dd').empty();
	$('.spec-selected').each(function(){//组合选中的规格值
	    selected_value += $(this).attr("data-value")+";"
		$('#ChoiceSpecTip').children('dd').append('<em title="'+$(this).parent().attr("data-property")+'">'+$(this).attr("title")+'</em>');
	});
	if(selected_value.length>0)selected_value=selected_value.substring(0,selected_value.length-1);
	if($('.spec-selected').length == $('.spec-content').length)//已选择了所有规格
	{
		var skuObj=SkuMap[selected_value];
        var gid= skuObj ? skuObj["skuId"] : "";//商品ID
        var gprice=skuObj ? skuObj["price"] : mprice;//价格
        var gstock=skuObj ? skuObj["stock"] : "0";//库存
        var gcode=skuObj ? skuObj["code"] : "";//商家编码
        stock = gstock;
        $('#gid').val(gid);
	}//end if
    //判断哪些规格没有组合的，要剔除掉
    nextSpec.children('.spec-item').removeClass("hand").addClass("disable").unbind("click");
    nextSpec.children('.spec-item').each(function(){
        var tempvalue1 = currSpecValue + ";" + $(this).attr("data-value");
        var tempvalue2 = $(this).attr("data-value") + ";" + currSpecValue;
        var skuObj = SkuMap[tempvalue1] ? SkuMap[tempvalue1] : SkuMap[tempvalue2];
        if(skuObj && skuObj["stock"]>0){
            $(this).removeClass("disable").addClass("hand").bind("click",ChooseSpec);
        };
    });
}

function CheckGiftStatus(gid,qty){
    var pass = false;
    $.ajax({
        url:baseUrl + 'ajax.aspx?NoCopyRight=1&type=CheckGiftStatus&gid=' +gid+'&qty='+qty,
        cache:false,
        async:false,
        success:function(data){
            switch(data){
                case 'NOLOGIN':
	                alert('请先登录');
            window.location.href=shopFolder+ "Login.aspx?ReturnUrl=" + "/"+shopFolder+"GiftDetails-"+giftID+"."+extend
                    pass = false;
                    break;
                case 'NotNumber':
                    alert('你已兑换完这份礼品');
                    pass = false;
                    break;
                case 'NoExchange':
                    alert('要兑换的礼品数大于你可兑换的数量');
                    pass = false;
                    break;                                
                case 'OK':
                    pass = true;
                    break;        
            };
        },
        error:function(){alert('error');}
    });
    return pass;
};